//
//    FILE: PID_basic.ino
//  AUTHOR: Rob Tillaart
// PURPOSE: demo
//    DATE: 2020-12-15



#include "PID_RT.h"

PID_RT PID;

const int PWM_PIN = 9;  // Ausgang für die Stellgröße y

int op = 0;;// Regelgröße x
float input = 0;



void setup()
{
  Serial.begin(115200);
  Serial.println(__FILE__);

  PID.setPoint(analogRead(A1));// Eingang für Führungsgröße w
  PID.setOutputRange(0, 255);  // PWM range
  PID.setInterval(50);
  PID.setK(10, 1, 0);// kpr, Ti, Td
  PID.start();
  
  op = analogRead(A0); // Eingang für Regelgröße x
}


void loop()
{
  input = analogRead(A0);
  if (PID.compute(input))
  {
    op = PID.getOutput();
    analogWrite(PWM_PIN, op);// Ausgabe der Stellgröße y
    
    Serial.print(PID.getInput());
    Serial.print('\t');
    Serial.println(op);
  }
}


// -- END OF FILE --
