//Pin Definition

int Stellventil      = 9;         //output Stellventil Behälter


//Variablen
int x           =0;       //Regelgrösse x
int hys_h       = 2;      //Hysterese High
int hys_l       = 2;      //Hysterese Low
int w =0           ;         // w= 512 entspricht 250 mm : (250 * 1024)/500 : siehe Skript

void setup() 
{                
  pinMode(Stellventil,     OUTPUT);
  digitalWrite(Stellventil,     LOW); 
  Serial.begin(9600);   // Öffnung der seriellen Schnittstelle
}

void loop() {
/*******************************************************************************************************************************************************/ 
//Berechnung des Füllstandes
  x   = analogRead(A0); // Regelgrösse des Füllstands vom Modell Levelplant über Ao0 (Labjack U12)
  w   = analogRead(A1); // Führungsgrösse w des Füllstands vom Modell Levelplant über Ao1 (Labjack U12)
 


//Heizungs-Regler Zweipunkt
    if      (x<= w- hys_l) //Wenn der Füllstand im Behältet kleiner gleich Sollwert - Hystere Low und freigabe, schaltet Stellventil  ein
             { 
              digitalWrite(Stellventil,  HIGH);
             
             }
    else if (x>= w+ hys_h) //Wenn der Füllstand im Behälter größer gleich Sollwert + Hystere High oder keine freigabe, schaltet Stellventil aus
             { 
              digitalWrite(Stellventil,  LOW);
              
  
             }
  Serial.print("Regelgröße x:");// Angabe der Regelgrösse auf dem Monitor
  Serial.println(x); // Regelgröße x
  Serial.print ("Führungsgröße w:"); // Angabe der Führungsgröße auf dem Monitor
  Serial.println(w);  // Führungsgröße w  
  delay(1000); // Die Verzögerung dient der besseren Übersicht des seriellen Monitors. Man kann sie auch herausnehmen.    
}
